#
# spec file for package python-dash-table
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-dash-table
Version:        5.0.0
Release:        2.1
Summary:        Dash table
License:        MIT
URL:            https://github.com/plotly/dash-table
Source:         https://files.pythonhosted.org/packages/source/d/dash-table/dash_table-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
An interactive DataTable for Dash.

As of Dash 2, the development of dash-table has been moved to the main Dash repo

This package exists for backward compatibility as Dash still lists it as requirement. It
has no further functionality than displaying a deprecation message.

%prep
%setup -q -n dash_table-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/dash_table/
%{python_sitelib}/dash_table-%{version}.dist-info

%changelog
* Fri May  9 2025 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
* Tue Jun  7 2022 Ben Greiner <code@bnavigator.de>
- Update to 5.0.0
  * As of Dash 2, the development of dash-table has been
    moved to the main Dash repo
  * This package exists for backward compatibility as Dash still
    lists it as requirement. It has no further functionality than
    displaying a deprecation message.
* Fri Apr  9 2021 Ben Greiner <code@bnavigator.de>
- Update to v4.11.3
  * #862 - update docstrings per
    https://github.com/plotly/dash/issues/1205
  * #878 - update build process to use Webpack 5 and other latest
    dependencies
  * #854 - part of fixing dash import bug
    https://github.com/plotly/dash/issues/1143
* Sun Jan  3 2021 Benjamin Greiner <code@bnavigator.de>
- Remove dependency on dash (build dependency cycle)
* Sun Jan  3 2021 Benjamin Greiner <code@bnavigator.de>
- Update to v4.11.1 (not tagged on GitHub, but released on PyPI)
  * gh#plotly/dash-table#850
  * #844 Fix a bug where the table is using classes that are styled
    by Bootstrap
- Changes in 4.11.0
  * #841 Fix prop-types regression causing console errors in
    browser devtools
  * Fix syntax highlighting regression for Markdown cells
  * #842 Fix a regression introduced with #722 causing the
    tooltips to be misaligned with respect to their parent
    cell and incompletely addressed in #817
  * #841 Add Julia syntax highlighting support for Markdown
    [#]cells
  * #831 Add the tooltip_header prop and add nested prop
    use_with (with values: header, data, both) to the tooltip
    prop to configure header cell tooltips
- Changes in 4.10.1
  * Dash.jl Julia component generation
* Sat Apr 18 2020 Arun Persaud <arun@gmx.de>
- specfile:
  * be more specific in %%files section
- update to version 4.6.2:
  * #713 Update from React 16.8.6 to 16.13.0
* Tue Mar 31 2020 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by dash
